Help-can i or how can i updated my old imac?

Discussion in 'iMac' started by confusedbob, Dec 29, 2010.

  1. confusedbob macrumors newbie

    Joined:
    Dec 27, 2010
    #1
    Please can anyone out there help a very confused and somewhat of an IT dinosaur to translate in very basic terms how to update my very old imac to be compatible with my new G4 iphone. I run my mac on OS X 10.4.11, processor being the 2GHz power pc G5. Any help would be greatly appreciated as any updates i have previously tried to do say i need the intel processor.
     
  2. Hellhammer Moderator

    Hellhammer

    Staff Member

    Joined:
    Dec 10, 2008
    Location:
    Finland
    #2
    You need OS X Leopard (10.5) for the newest iTunes
     
  3. confusedbob thread starter macrumors newbie

    Joined:
    Dec 27, 2010
    #3
    can i install 0S X leopard on my imac it doesn't have an intel processor which i'm toid that i need, cheers
     
  4. Hellhammer Moderator

    Hellhammer

    Staff Member

    Joined:
    Dec 10, 2008
    Location:
    Finland
    #4
    OS X Leopard works with PPC as well. Only OS X Snow Leopard (10.6) requires an Intel processor
     
  5. DarthMoops macrumors regular

    Joined:
    Aug 7, 2010
    Location:
    Baltimore MD

Share This Page